/////////////////////////////////////////////////////////////////////////////////////////
// copy / overwrite all the files inside the counter folder to your game (\office) folder
// don't forget to include counter.wdl in your main game file (office.wdl if you are using the templates)
// place this line at the end of your main function: start_counter();
/////////////////////////////////////////////////////////////////////////////////////////

function start_counter();
function toggle_counter();

/////////////////////////////////////////////////////////////////////////////////////////

font speed_font =  <speed.pcx>, 10, 24;

/////////////////////////////////////////////////////////////////////////////////////////

string temp_str; // temporary string
string counter_str; // 8 characters in xxxx.xxx format = seconds.miliseconds
// let's hope that your level won't take more than 9999 seconds to complete :) 

/////////////////////////////////////////////////////////////////////////////////////////

var miliseconds;
var seconds;
var start = 0; // set it to 1 to start the counter
var current_ticks = 0; // "real" time
var temp_ticks = 0; // stores temporary total_ticks values

/////////////////////////////////////////////////////////////////////////////////////////

text counter_pan // displays the seconds / miliseconds
{ 
	layer = 20; 
	pos_x = 0; 
	pos_y = 0; 
	font = speed_font;
	string = counter_str;
	flags = visible; 
}

function start_counter()
{
	str_cpy (counter_str, "0.000"); // show this string at start
	while (1)
	{
		if (start == 1)
		{
			current_ticks = total_ticks - temp_ticks;
			seconds = (current_ticks / 16) % 1000;
			miliseconds = (current_ticks * 1000 / 16) % 1000;
			str_for_num (temp_str, seconds);
			str_cpy (counter_str, temp_str);
			str_cat (counter_str, ".");
			str_for_num (temp_str, miliseconds);
			str_trunc (counter_str, 1);
		}
		else
		{
			temp_ticks = total_ticks;
		}
		wait (1);
	}
}

function toggle_counter()
{
	start = (start == 0);
}

on_s = toggle_counter;